using System;

namespace NKC_WF.WebUserControls
{
    public partial class cmp_kitReqRunning : BaseUserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                fixVisibility();
            }
        }

        private void fixVisibility()
        {
            cmp_KR_cart.Visible = (grView.SelectedIndex >= 0);
        }

        internal void doUpdate()
        {
            grView.DataBind();
            fixVisibility();
            cmp_KR_cart.doUpdate();
        }

        protected void grView_SelectedIndexChanged(object sender, EventArgs e)
        {
            int PackListId = 0;
            int.TryParse(grView.SelectedValue.ToString(), out PackListId);
            // mostra dettaglio CART
            cmp_KR_cart.PackListID = PackListId;
            cmp_KR_cart.Visible = true;
        }
        /// <summary>
        /// comando reset
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void lbtReset_Click(object sender, EventArgs e)
        {
            grView.SelectedIndex = -1;
            doUpdate();
        }
    }
}